## opentracker 0.0~git20210823.110868e

=== Makefile ===
# $Id$

CC?=gcc

# Linux flavour
# PREFIX?=/opt/diet
# LIBOWFAT_HEADERS=$(PREFIX)/include
# LIBOWFAT_LIBRARY=$(PREFIX)/lib

# BSD flavour
# PREFIX?=/usr/local
# LIBOWFAT_HEADERS=$(PREFIX)/include/libowfat
# LIBOWFAT_LIBRARY=$(PREFIX)/lib

# Debug flavour
PREFIX?=..
LIBOWFAT_HEADERS=$(PREFIX)/libowfat
LIBOWFAT_LIBRARY=$(PREFIX)/libowfat

BINDIR?=$(PREFIX)/bin
STRIP?=strip

#FEATURES+=-DWANT_V6

#FEATURES+=-DWANT_ACCESSLIST_BLACK
#FEATURES+=-DWANT_ACCESSLIST_WHITE

#FEATURES+=-DWANT_SYNC_LIVE
#FEATURES+=-DWANT_IP_FROM_QUERY_STRING
#FEATURES+=-DWANT_COMPRESSION_GZIP
#FEATURES+=-DWANT_COMPRESSION_GZIP_ALWAYS
#FEATURES+=-DWANT_LOG_NETWORKS
#FEATURES+=-DWANT_RESTRICT_STATS
#FEATURES+=-DWANT_IP_FROM_PROXY
#FEATURES+=-DWANT_FULLLOG_NETWORKS
#FEATURES+=-DWANT_LOG_NUMWANT
#FEATURES+=-DWANT_MODEST_FULLSCRAPES
#FEATURES+=-DWANT_SPOT_WOODPECKER
#FEATURES+=-DWANT_SYSLOGS
#FEATURES+=-DWANT_DEV_RANDOM
FEATURES+=-DWANT_FULLSCRAPE

# Is enabled on BSD systems by default in trackerlogic.h
# on Linux systems you will need -lbds
#FEATURES+=-DWANT_ARC4RANDOM

#FEATURES+=-D_DEBUG_HTTPERROR

OPTS_debug=-D_DEBUG -g -ggdb # -pg -fprofile-arcs -ftest-coverage
OPTS_production=-O3

CFLAGS+=-I$(LIBOWFAT_HEADERS) -Wall -pipe -Wextra #-ansi -pedantic
LDFLAGS+=-L$(LIBOWFAT_LIBRARY) -lowfat -pthread -lpthread -lz
#LDFLAGS+=-lbsd

BINARY =opentracker
HEADERS=trackerlogic.h scan_urlencoded_query.h ot_mutex.h ot_stats.h ot_vector.h ot_clean.h ot_udp.h ot_iovec.h ot_fullscrape.h ot_accesslist.h ot_http.h ot_livesync.h ot_rijndael.h
SOURCES=opentracker.c trackerlogic.c scan_urlencoded_query.c ot_mutex.c ot_stats.c ot_vector.c ot_clean.c ot_udp.c ot_iovec.c ot_fullscrape.c ot_accesslist.c ot_http.c ot_livesync.c ot_rijndael.c
SOURCES_proxy=proxy.c ot_vector.c ot_mutex.c

OBJECTS = $(SOURCES:%.c=%.o)
OBJECTS_debug = $(SOURCES:%.c=%.debug.o)
OBJECTS_proxy = $(SOURCES_proxy:%.c=%.o)
OBJECTS_proxy_debug = $(SOURCES_proxy:%.c=%.debug.o)

.SUFFIXES: .debug.o .o .c

all: $(BINARY) $(BINARY).debug

CFLAGS_production = $(CFLAGS) $(OPTS_production) $(FEATURES)
CFLAGS_debug = $(CFLAGS) $(OPTS_debug) $(FEATURES)

$(BINARY): $(OBJECTS) $(HEADERS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)
	$(STRIP) $@
$(BINARY).debug: $(OBJECTS_debug) $(HEADERS)
	$(CC) -o $@ $(OBJECTS_debug) $(LDFLAGS)
proxy: $(OBJECTS_proxy) $(HEADERS)
	$(CC) -o $@ $(OBJECTS_proxy) $(CFLAGS_production) $(LDFLAGS)
proxy.debug: $(OBJECTS_proxy_debug) $(HEADERS)
	$(CC) -o $@ $(OBJECTS_proxy_debug) $(LDFLAGS)

.c.debug.o : $(HEADERS)
	$(CC) -c -o $@ $(CFLAGS_debug) $(<:.debug.o=.c)

.c.o : $(HEADERS)
	$(CC) -c -o $@ $(CFLAGS_production) $<

clean:
	rm -rf opentracker opentracker.debug *.o *~

install:
	install -m 755 opentracker $(DESTDIR)$(BINDIR)

=== debian/changelog ===
opentracker (0.0~git20210823.110868e-3) unstable; urgency=medium

  * Fix wrong README.debian instructions (Closes: #1030042)
  * d/copyright: Update year
  * Update Standards-Version to 4.6.2 (no change)

 -- Agathe Porte <debian@microjoe.org>  Sat, 04 Feb 2023 08:31:50 +0100

opentracker (0.0~git20210823.110868e-2) unstable; urgency=medium

  * Upload for unstable
  * d/patches: add not-needed

 -- Agathe Porte <debian@microjoe.org>  Sat, 06 Aug 2022 14:11:53 +0200

opentracker (0.0~git20210823.110868e-1) experimental; urgency=low

  * Initial release (Closes: #685575)

 -- Agathe Porte <debian@microjoe.org>  Tue, 24 May 2022 15:45:05 +0200

=== debian/control ===
Source: opentracker
Section: net
Priority: optional
Maintainer: Agathe Porte <debian@microjoe.org>
Build-Depends:
 debhelper-compat (= 13),
 libowfat-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://erdgeist.org/arts/software/opentracker/
Vcs-Browser: https://salsa.debian.org/gagath/opentracker
Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
Rules-Requires-Root: no

Package: opentracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open and free bittorrent tracker
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS += hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  += -Wall -pedantic

#FEATURES+=-DWANT_V6
#FEATURES+=-DWANT_ACCESSLIST_BLACK
FEATURES+=-DWANT_ACCESSLIST_WHITE
#FEATURES+=-DWANT_IP_FROM_QUERY_STRING
FEATURES+=-DWANT_COMPRESSION_GZIP
#FEATURES+=-DWANT_IP_FROM_PROXY
#FEATURES+=-DWANT_LOG_NUMWANT -DWANT_MODEST_FULLSCRAPES
#FEATURES+=-DWANT_SPOT_WOODPECKER
FEATURES+=-DWANT_SYSLOGS
#FEATURES+=-DWANT_DEV_RANDOM
FEATURES+=-DWANT_RESTRICT_STATS

export FEATURES
export LIBOWFAT_HEADERS=/usr/include
export LIBOWFAT_LIBRARY=/usr/lib
export PREFIX=/usr

# main packaging script based on dh7 syntax
%:
	dh $@

=== debian/tests/control ===
Tests: testsuite
Depends:
 @,
 netcat-openbsd,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, pretty=0.0~git%cd.%h, repack, compression=xz" \
    https://erdgeist.org/gitweb/opentracker \
    HEAD

## opentracker 0.0~git20240510.59c1c30

=== debian/changelog ===
opentracker (0.0~git20240510.59c1c30-2) unstable; urgency=medium

  * Use custom testsuite.sh
  * Revert "mv debian/NEWS{,.Debian}"

 -- Agathe Porte <gagath@debian.org>  Sun, 02 Jun 2024 18:02:40 +0200

opentracker (0.0~git20240510.59c1c30-1) unstable; urgency=medium

  * New upstream version 0.0~git20240510.59c1c30
  * Add missing dep to passwd for useradd in postinst
  * Fix upstream Makefile to create destdir
  * Drop separate opentracker-ipv6 package
  * Use upstream manpages
  * Fix upstream man pages warnings
  * Allow override of LIBOWFAT_HEADERS
  * Allow cross build
  * mv debian/NEWS{,.Debian}

 -- Agathe Porte <gagath@debian.org>  Sun, 26 May 2024 11:24:43 +0200

opentracker (0.0~git20210823.110868e-9) unstable; urgency=medium

  [ Agathe Porte ]
  * Update copyright year

  [ Bastian Germann ]
  * Hand over changed LIBOWFAT_HEADERS (Closes: #1068449)

 -- Agathe Porte <gagath@debian.org>  Mon, 08 Apr 2024 08:43:42 +0200

opentracker (0.0~git20210823.110868e-8) unstable; urgency=medium

  * rules: replace failing rmdir with rm -rf
  * introduce debian/NEWS

 -- Agathe Porte <gagath@debian.org>  Sun, 10 Dec 2023 13:44:53 +0100

opentracker (0.0~git20210823.110868e-7) unstable; urgency=medium

  * Upload to unstable

 -- Agathe Porte <gagath@debian.org>  Mon, 20 Nov 2023 10:24:54 +0100

opentracker (0.0~git20210823.110868e-6) experimental; urgency=medium

  * Update maintainer address
  * Support ExecReload with SIGHUP (closes: #1053720)
  * Use two separate configuration files (closes: #1053721)
  * Remove empty usr/bin in opentracker-common

 -- Agathe Porte <gagath@debian.org>  Thu, 26 Oct 2023 10:41:36 +0200

opentracker (0.0~git20210823.110868e-5) experimental; urgency=medium

  * Revert "d/rules: delete sporious /usr/bin in -common package again"

 -- Agathe Porte <gagath@debian.org>  Tue, 23 May 2023 19:16:10 +0200

opentracker (0.0~git20210823.110868e-4) experimental; urgency=medium

  * Introduce opentracker-ipv6 and opentracker-common binpkgs
  * opentracker-common Breaks+Replaces previous opentracker release
  * Do not strip after build to get dbgsym packages

 -- Agathe Porte <gagath@debian.org>  Tue, 23 May 2023 18:10:05 +0200

=== debian/control ===
Source: opentracker
Section: net
Priority: optional
Maintainer: Agathe Porte <gagath@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libowfat-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://erdgeist.org/arts/software/opentracker/
Vcs-Browser: https://salsa.debian.org/gagath/opentracker
Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
Rules-Requires-Root: no

Package: opentracker-common
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 passwd,
 ${misc:Depends},
Description: Open and free bittorrent tracker (common files)
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router.
 .
 This package contains the common files for opentracker.
Breaks:
 opentracker (<< 0.0~git20210823.110868e-5),
Replaces:
 opentracker (<< 0.0~git20210823.110868e-4),

Package: opentracker
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 opentracker-common,
Description: Open and free bittorrent tracker
 opentracker is a open and free bittorrent tracker project. It aims for minimal
 resource usage and is intended to run on your wlan router.
 .
 This package contains the default configuration binary supporting both
 IPv4 and IPv6 stacks.
Breaks:
 opentracker-common (<< 0.0~git20210823.110868e-5),
 opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
Replaces:
 opentracker-common (<< 0.0~git20210823.110868e-5),
 opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),

## opentracker 0.0~git20240622.c854b3d

=== debian/changelog ===
opentracker (0.0~git20240622.c854b3d-2) unstable; urgency=medium

  * Source-only upload to fix uploader

 -- Agathe Porte <gagath@debian.org>  Wed, 07 Aug 2024 21:22:30 +0900

opentracker (0.0~git20240622.c854b3d-1) unstable; urgency=medium

  * New upstream version 0.0~git20240622.c854b3d
  * Rebase patches
  * Moved project to debian salsa namespace

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 07 Aug 2024 02:33:41 +0900

opentracker (0.0~git20240510.59c1c30-4) unstable; urgency=medium

  * Fix wrong Breaks+Replaces for manpage move

 -- Agathe Porte <gagath@debian.org>  Sat, 22 Jun 2024 12:01:18 +0200

opentracker (0.0~git20240510.59c1c30-3) unstable; urgency=medium

  * Move man1/opentracker.1 to opentracker binpkg
  * Update Standards-Version to 4.7.0 (no changes needed)

 -- Agathe Porte <gagath@debian.org>  Sat, 22 Jun 2024 11:39:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper-compat (= 13),
  libowfat-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://erdgeist.org/arts/software/opentracker/
-Vcs-Browser: https://salsa.debian.org/gagath/opentracker
-Vcs-Git: https://salsa.debian.org/gagath/opentracker.git
+Vcs-Browser: https://salsa.debian.org/debian/opentracker
+Vcs-Git: https://salsa.debian.org/debian/opentracker.git
 Rules-Requires-Root: no
 
 Package: opentracker-common
@@ -42,8 +42,8 @@
  This package contains the default configuration binary supporting both
  IPv4 and IPv6 stacks.
 Breaks:
- opentracker-common (<< 0.0~git20210823.110868e-5),
+ opentracker-common (<< 0.0~git20240510.59c1c30-3),
  opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),
 Replaces:
- opentracker-common (<< 0.0~git20210823.110868e-5),
+ opentracker-common (<< 0.0~git20240510.59c1c30-3),
  opentracker-ipv6 (<< 0.0~git20240510.59c1c30-1),

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,9 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  += -Wall -pedantic
 
-#FEATURES+=-DWANT_V6
 #FEATURES+=-DWANT_ACCESSLIST_BLACK
 FEATURES+=-DWANT_ACCESSLIST_WHITE
 #FEATURES+=-DWANT_IP_FROM_QUERY_STRING
-FEATURES+=-DWANT_COMPRESSION_GZIP
 #FEATURES+=-DWANT_IP_FROM_PROXY
 #FEATURES+=-DWANT_LOG_NUMWANT -DWANT_MODEST_FULLSCRAPES
 #FEATURES+=-DWANT_SPOT_WOODPECKER
@@ -27,11 +25,31 @@
 #FEATURES+=-DWANT_DEV_RANDOM
 FEATURES+=-DWANT_RESTRICT_STATS
 
+# You need libowfat version 0.34 to allow for automatic release of chunks during
+# full scrape transfer, if you rely on an older versions, enable this flag
+FEATURES+=-DWANT_NO_AUTO_FREE
+
 export FEATURES
-export LIBOWFAT_HEADERS=/usr/include
 export LIBOWFAT_LIBRARY=/usr/lib
+export LIBOWFAT_HEADERS=/usr/include/libowfat
 export PREFIX=/usr
+
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+  STRIP = :
+else
+  ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+    STRIP = $(DEB_HOST_GNU_TYPE)-strip
+  else
+    STRIP = strip
+  endif
+endif
+export STRIP
 
 # main packaging script based on dh7 syntax
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install
+
+	rm -rf debian/opentracker-common/usr/bin/

## opentracker 1.0+git20250425.b20b0b8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 # $Id$
-
-CC?=gcc
 
 # Linux flavour
 # PREFIX?=/opt/diet
@@ -20,15 +18,24 @@
 BINDIR?=$(PREFIX)/bin
 STRIP?=strip
 
-#FEATURES+=-DWANT_V6
-
+#FEATURES+=-DWANT_V4_ONLY
 #FEATURES+=-DWANT_ACCESSLIST_BLACK
 #FEATURES+=-DWANT_ACCESSLIST_WHITE
+#FEATURES+=-DWANT_DYNAMIC_ACCESSLIST
 
 #FEATURES+=-DWANT_SYNC_LIVE
 #FEATURES+=-DWANT_IP_FROM_QUERY_STRING
-#FEATURES+=-DWANT_COMPRESSION_GZIP
-#FEATURES+=-DWANT_COMPRESSION_GZIP_ALWAYS
+
+# If you want gzip support to be compiled in, uncomment the next include.
+# You can further modify the behaviour by setting DWANT_COMPRESSION_GZIP_ALWAYS
+# in Makefile.gzip
+include Makefile.gzip
+
+# If you want zstd support to be compiled in, uncomment the next include.
+# You can further modify the behaviour by setting DWANT_COMPRESSION_ZSTD_ALWAYS
+# in Makefile.zstd
+#include Makefile.zstd
+
 #FEATURES+=-DWANT_LOG_NETWORKS
 #FEATURES+=-DWANT_RESTRICT_STATS
 #FEATURES+=-DWANT_IP_FROM_PROXY
@@ -40,18 +47,24 @@
 #FEATURES+=-DWANT_DEV_RANDOM
 FEATURES+=-DWANT_FULLSCRAPE
 
+# You need libowfat version 0.34 to allow for automatic release of chunks during
+# full scrape transfer, if you rely on an older versions, enable this flag
+#FEATURES+=-DWANT_NO_AUTO_FREE
+
 # Is enabled on BSD systems by default in trackerlogic.h
-# on Linux systems you will need -lbds
-#FEATURES+=-DWANT_ARC4RANDOM
+# on Linux systems the include Makefile adds -lbsd
+#include Makefile.arc4random
 
 #FEATURES+=-D_DEBUG_HTTPERROR
+#FEATURES+=-D_DEBUG_RANDOMTORRENTS
+
+GIT_VERSION=$(shell sh -c 'command -v git >/dev/null && test -d .git && git rev-parse HEAD || echo _git_or_commit_not_found_')
 
 OPTS_debug=-D_DEBUG -g -ggdb # -pg -fprofile-arcs -ftest-coverage
 OPTS_production=-O3
 
-CFLAGS+=-I$(LIBOWFAT_HEADERS) -Wall -pipe -Wextra #-ansi -pedantic
-LDFLAGS+=-L$(LIBOWFAT_LIBRARY) -lowfat -pthread -lpthread -lz
-#LDFLAGS+=-lbsd
+CFLAGS+=-I$(LIBOWFAT_HEADERS) -DGIT_VERSION=$(GIT_VERSION) -Wall -pipe -pthread -Wextra #-ansi -pedantic
+LDFLAGS+=-L$(LIBOWFAT_LIBRARY) -lowfat -pthread
 
 BINARY =opentracker
 HEADERS=trackerlogic.h scan_urlencoded_query.h ot_mutex.h ot_stats.h ot_vector.h ot_clean.h ot_udp.h ot_iovec.h ot_fullscrape.h ot_accesslist.h ot_http.h ot_livesync.h ot_rijndael.h

=== debian/changelog ===
opentracker (1.0+git20250425.b20b0b8-1) unstable; urgency=medium

  * New upstream version 1.0+git20250425.b20b0b8
  * Update Standards-Version to 4.7.2 (no changes needed)
  * d/control: drop now implicit Rules-Requires-Root=no
  * Use libowfat 0.34
  * Resync opentracker.conf from upstream sample
  * Enable dynamic accesslist in /var/run/opentracker/
  * opentracker.service: drop mention of IPv4 only

 -- Agathe Porte <gagath@debian.org>  Fri, 10 Oct 2025 16:34:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Agathe Porte <gagath@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libowfat-dev,
+ libowfat-dev (>= 0.34-2),
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://erdgeist.org/arts/software/opentracker/
 Vcs-Browser: https://salsa.debian.org/debian/opentracker
 Vcs-Git: https://salsa.debian.org/debian/opentracker.git
-Rules-Requires-Root: no
 
 Package: opentracker-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 #FEATURES+=-DWANT_ACCESSLIST_BLACK
 FEATURES+=-DWANT_ACCESSLIST_WHITE
+FEATURES+=-DWANT_DYNAMIC_ACCESSLIST
 #FEATURES+=-DWANT_IP_FROM_QUERY_STRING
 #FEATURES+=-DWANT_IP_FROM_PROXY
 #FEATURES+=-DWANT_LOG_NUMWANT -DWANT_MODEST_FULLSCRAPES
@@ -24,10 +25,6 @@
 FEATURES+=-DWANT_SYSLOGS
 #FEATURES+=-DWANT_DEV_RANDOM
 FEATURES+=-DWANT_RESTRICT_STATS
-
-# You need libowfat version 0.34 to allow for automatic release of chunks during
-# full scrape transfer, if you rely on an older versions, enable this flag
-FEATURES+=-DWANT_NO_AUTO_FREE
 
 export FEATURES
 export LIBOWFAT_LIBRARY=/usr/lib

=== debian/tests/control ===
Tests: testsuite
Depends:
 @,
 curl,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, pretty=1.0+git%cd.%h, repack, compression=xz" \
    https://erdgeist.org/gitweb/opentracker \
    HEAD
